#pragma once

#include "Player.h"
#include <map>

namespace blitz {
namespace game {

typedef std::map<PlayerID, Player> PlayerMap;

class Game {
  private:
	PlayerMap m_Players;

  public:
	Game() {}

	Player* GetPlayerById(PlayerID id);
	const Player* GetPlayerById(PlayerID id) const;

	PlayerMap& GetPlayers() {
		return m_Players;
	}

	const PlayerMap& GetPlayers() const {
		return m_Players;
	}
};


}  // namespace game
}  // namespace blitz
